pilot-dlpsh(1)

NAME
pilot-dlpsh - An interactive Desktop Link Protocol (DLP) Shell for your Palm device.

SECTION

pilot-link: Tools

SYNOPSIS

 pilot-dlpsh [-p|--port <port>] [-c|--command STRING] [-i|--interactive] [--version]

OPTIONS

  pilot-dlpsh options
                        -c,
                        --command STRING

Execute cmd and exit immediately.
                        -i, --interactive

Enter interactive mode

  Conduit Options
                        -p,
                        --port <
                        port>

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-dlpsh will look for the $PILOTPORT environment variable. If the port is missing and $PILOTPORT is not set, pilot-dlpsh will print the usage information.
                        --version

Display the copyright information, version number, license details and build details and exit without connecting.

DESCRIPTION

 pilot-dlpsh allows the user to connect to a Palm handheld and execute arbitrary DLP commands.

pilot-dlpsh can query many different types of information from your Palm device, such as username, memory capacity, set the time, as well as other useful functions.

Once connected, the user may execute most of the built-in DLP commands. (See BUILT-IN COMMANDS below for more detail on currently supported options).

The connection to the Pilot is kept alive by sending a PadTickle packet to the Pilot after a small period of non-activity. (7 seconds by default)

BUILT-IN COMMANDS

There are many options available while connected to your Palm handheld via pilot-dlpsh, including the following:

 user, u

Print the currently set User information, including Username, UserID, PCid, and ViewerID. You may also set these values from this command as well. To set these values, simply pass the value to the option, such as 'user John Q. Public' for example.

 ls

Used with -l and -r to provide long and RAM and ROM file lists, similar to (but slightly different from) the Unix 'ls' command. This does not yet allow you to narrow your listing to a certain range of files. It will simply list them all.

 df

Display how much RAM and ROM is free on your device, again similar to the Unix 'df' command. This does not accept arguments at this time.

 ntp, time, dtp

Set the time on the Palm from the currently-set desktop time. This does not work on OS version 3.3, due to a bug in PalmOS at that time.

 rm, del

Remove a file and delete it entirely from the Palm device. This is an irrevokable process, and you cannot "undelete" a file, once it has been deleted with this command.

 quit, q, exit, bye

Exit the DLP Protocol Shell

OPTIONS

Passing commandline options to pilot-dlpsh will allow you to interact with it in unattended mode, for example: 'pilot-dlpsh -p usb: -c user' will connect and display the user information, just as if you had connected interactively and typed 'user' at the DLP shell prompt.

USAGE

The program will connect to your Palm handheld and give the user an interactive prompt (a "shell") for executing commands across the DLP HotSync protocol.

AUTHOR

 pilot-dlpsh was originally written by Chris Stevens <stevens@rpi.edu> and Damien Neil <neild@rpi.edu>

This manual page was updated to XML by Neil Williams <linux@codehelp.co.uk>

REPORTING BUGS

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7)